package com.jasamedika.medifirst2000.vo;

import javax.persistence.Column;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.entities.PapPenanggungJawab;
import com.jasamedika.medifirst2000.entities.PapProsedure;
import com.jasamedika.medifirst2000.entities.PapRehabilitasi;

public class PapProsedurePenanggungJawabVO extends BaseTransactionVO{

	@ManyToOne
	@NotNull(message = "Rehabilitasi tidak boleh kosong")
	private PapRehabilitasiVO papRehabilitasi;

	@ManyToOne
	@NotNull(message = "Prosedure tidak boleh kosong")
	private PapProsedureVO papProsedure;

	@ManyToOne
	@NotNull(message = "PenganggungJawab tidak boleh kosong")
	private PapPenanggungJawabVO papPenanggungJawab;

	public PapRehabilitasiVO getPapRehabilitasi() {
		return papRehabilitasi;
	}

	public void setPapRehabilitasi(PapRehabilitasiVO papRehabilitasi) {
		this.papRehabilitasi = papRehabilitasi;
	}

	public PapProsedureVO getPapProsedure() {
		return papProsedure;
	}

	public void setPapProsedure(PapProsedureVO papProsedure) {
		this.papProsedure = papProsedure;
	}

	public PapPenanggungJawabVO getPapPenanggungJawab() {
		return papPenanggungJawab;
	}

	public void setPapPenanggungJawab(PapPenanggungJawabVO papPenanggungJawab) {
		this.papPenanggungJawab = papPenanggungJawab;
	}
	
}
